org.codehaus.plexus.component.configurator.converters.basic

## Class AbstractBasicConverter

- java.lang.Object
- - org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter
  - - org.codehaus.plexus.component.configurator.converters.basic.AbstractBasicConverter

All Implemented Interfaces:
  ConfigurationConverter

Direct Known Subclasses:
  BooleanConverter, ByteConverter, CharConverter, ClassConverter, DateConverter, DoubleConverter, FileConverter, FloatConverter, IntConverter, LongConverter, ShortConverter, StringBufferConverter, StringConverter, UriConverter, UrlConverter

    public abstract class AbstractBasicConverter
    extends AbstractConfigurationConverter

Version:
  $Id: AbstractBasicConverter.java 8514 2009-10-22 10:25:03Z bentmann $

### Constructor Summary

Constructors
Constructor and Description
`AbstractBasicConverter()`

### Method Summary

Methods
`java.lang.Object` `fromConfiguration(ConverterLookup converterLookup, PlexusConfiguration configuration, java.lang.Class type, java.lang.Class baseType, java.lang.ClassLoader classLoader, ExpressionEvaluator expressionEvaluator, ConfigurationListener listener)`
`protected java.lang.Object` `fromExpression(PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator, java.lang.Class type)`
`protected abstract java.lang.Object` `fromString(java.lang.String str)`

### Methods inherited from class org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter

`fromConfiguration, fromExpression, fromXML, getClassForImplementationHint, instantiateObject, instantiateObject, loadClass, toXML`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.component.configurator.converters.ConfigurationConverter

`canConvert`

### Constructor Detail

#### AbstractBasicConverter

    public AbstractBasicConverter()

### Method Detail

#### fromString

    protected abstract java.lang.Object fromString(java.lang.String str)
                                            throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

#### fromExpression

    protected java.lang.Object fromExpression(PlexusConfiguration configuration,
                                  ExpressionEvaluator expressionEvaluator,
                                  java.lang.Class type)
                                       throws ComponentConfigurationException

Overrides:
  `fromExpression` in class `AbstractConfigurationConverter`
Throws:
  `ComponentConfigurationException`

#### fromConfiguration

    public java.lang.Object fromConfiguration(ConverterLookup converterLookup,
                                     PlexusConfiguration configuration,
                                     java.lang.Class type,
                                     java.lang.Class baseType,
                                     java.lang.ClassLoader classLoader,
                                     ExpressionEvaluator expressionEvaluator,
                                     ConfigurationListener listener)
                                       throws ComponentConfigurationException

Parameters:
  `converterLookup` - Repository of available converters
  `type` - the type of object to read
  `baseType` - the type of object the the source is
  `classLoader` - ClassLoader which should be used for loading classes
  `expressionEvaluator` - the expression evaluator to use for expressions
Returns:
  the object
Throws:
  `ComponentConfigurationException`